/*****************************************************************************
 *- Utility Function Declarations (Non-Exported) ----------------------------*
 *****************************************************************************/

#pragma once
#include <visatype.h>

ViStatus hmdmm_InitAttributes(ViSession instrSession);

ViStatus hmdmm_DefaultInstrSetup(ViSession openInstrSession);

ViStatus hmdmm_CheckStatus(ViSession instrSession);

ViStatus hmdmm_MeasureRepeated(ViSession     instrSession,
                               ViConstString query,
                               ViInt32       timeout,
                               ViReal64*     value);

ViStatus hmdmm_utility_error_message(ViSession instrSession,
                                     ViStatus  errorCode,
                                     ViChar    errorMessage[512]);